Skip to main content
Version: 5.3

Retrieving Information about Available Apps

GET /apps

Get the list of available apps on Smart Beat Manager:

curl -k -XGET https://<SBM_HOST>:7769/apps

Get information about a specific app:

curl -k -XGET https://<SBM_HOST>:7769/apps/<app name>

Header Input Parameters

NameTypeDescription
AuthorizationstringBase64 login and password for Smart Beat Manager authorization

Output Parameters

Array of JSON objects.

Each object contains the following parameters:

NameTypeDescription
appstringApp name
groupsstring arrayArray of groups where this app is present
connectedclientsintNumber of connected Smart Beat instances

Supported Errors

StatusError contentError description
400Apps not foundApp list is empty
500<response write error>Internal Smart Beat Manager error

Examples

Example output for /apps:

[
{
"app": "scriptbeat_1",
"groups": [
"TestWin",
"Test",
"131"
],
"connectedclients": 2
},
{
"app": "execbeat_1",
"groups": [
"135"
],
"connectedclients": 1
}
]

Example output for /apps/execbeat_1:

{
"app": "execbeat_1",
"groups": [
"135"
],
"connectedclients": 1
}